## chiark-utils 7.0.0

=== debian/changelog ===
chiark-utils (7.0.0) unstable; urgency=medium

  New facility:
  * prefork-interp, Proc::Prefork::Interp: new facility

  Improvements:
  * expire-iso8601: Replace with new implementation.  Closes:#862897.

  Bugfixes:
  * acctdump: Fix manual page section.
  * git-cache-proxy: fix for new git.  Closes: #1006695.  [Anthony Perard]
  * git-branchmove: install manpage..  Closes: #946364.  [Sean Whitton]
  * hexterm: Update #! and Suggest tcl8.6.  Closes: #905474.

  Build and packaging improvements:
  * Fix cross build.  Closes: #951242.  [Helmut Grohne]
  * copyright: Be clear that SPDX indications are licence grants
  * Add lintian override for python dependency
  * Add lintian override for chiark-really
  * fix priority "extra" to "optional"
  * Fix build-dependency on debhelper.
  * Set source format to 3.0 (native)
  * Add Vcs-* fields.
  * Update Standards-Version
  * timespeccmp.h: Move use to just cgi-fcgi-interp

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 22 Aug 2022 00:06:57 +0100

=== debian/control ===
Source: chiark-utils
Section: admin
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 13),
               libxdmcp-dev, libxau-dev, libice-dev, libsm-dev, libuv1-dev
Standards-Version: 4.6.1.1
Vcs-Browser: https://www.chiark.greenend.org.uk/ucgi/~ian/git/chiark-utils.git/
Vcs-Git: https://www.chiark.greenend.org.uk/ucgi/~ian/githttp/chiark-utils.git

Package: chiark-backup
Section: utils
Priority: optional
Architecture: all
Depends: chiark-rwbuffer, chiark-utils-bin, ${misc:Depends}
Suggests: chiark-utils-bin (>= 4.1.14)
Description: backup system for small systems and networks
 These are the backup scripts used by chiark.greenend.org.uk and other
 systems belonging to the Sinister Greenend Organisation.  Features:
  * Suitable for single systems and small networks.
  * Reasonably simple; they do what you tell it to.
  * Hard failures when individual systems fail, to encourage fixing !
 If you have a larger site you may wish to look at Amanda.

Package: chiark-scripts
Section: admin
Priority: optional
Conflicts: chiark-named-conf, sync-accounts
Replaces: chiark-named-conf, sync-accounts
Depends: ${misc:Depends}, libgit-wrapper-perl, libtry-tiny-perl
Recommends: libdatetime-format-strptime-perl, libio-fdpass-perl
Suggests: tcl8.6, python3, gdb
Architecture: all
Description: chiark system administration scripts
 This package contains a number of small administration scripts used
 by chiark.greenend.org.uk and other systems belonging to the Sinister
 Greenend Organisation.  Featuring:
 .
 fishdescriptor: a tool for extracting a file descriptor from
 another (non-cooperating) process and giving it to you (or
 for examining it).  Requires gdb and python3.
 .
 chiark-named-conf: a tool for managing nameserver configurations
 and checking for suspected DNS problems.  Its main functions are to
 check that delegations are appropriate and working, that secondary
 zones are slaved from the right places, and to generate a
 configuration for BIND, from its own input file.
 .
 prefork-interp Perl support (Proc::Prefork::Interp).
 .
 sync-accounts: a simple but flexible account info synchroniser.
 sync-accounts is a tool for copying un*x account data from remote
 systems and installing it locally.  It is flexible and reasonably
 straightforward, but lacks integration with other distributed
 databases such as NIS.
 .
 cvs-repomove and cvs-adjustroot: tools for moving CVS repositories
 and adjusting working trees.
 .
 palm-datebook-reminders: a program which emails mails you reminders
 about the appointments in your Palm's Datebook.
 .
 cvsweb-list: cgi program to list ucgi (userv-utils) cvsweb repos
 .
 expire-iso8601: keep or expire backup trees named after their dates
 .
 gnucap2genspic, ngspice2genspic, genspic2gnuplot: convert gnucap
 files and ngspice output files to genspic and genspic files to
 gnuplot input so they can be plotted.
 .
 hexterm: connects to serial port and allows the user interact in
 ASCII and hex.  Ie, a hex "terminal" program which lets you speak a
 serial port protocol directly.  (Needs tcl8.6 to be installed.)
 .
 git-branchmove, random-word, remountresizereiserfs,
 summarise-mailbox-preserving-privacy

Package: chiark-rwbuffer
Section: utils
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: readbuffer/writebuffer: prevents tape drive seesawing, etc.
 readbuffer and writebuffer: programs for reading input from devices,
 and writing output to, which don't like constant stopping and
 starting, such as tape drives and audio playback devices.

Package: chiark-utils-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}
Suggests: ${shlibs:Suggests}
Section: utils
Priority: optional
Description: chiark system administration utilities
 This package contains a number of small administration scripts used
 by chiark.greenend.org.uk and other systems belonging to the Sinister
 Greenend Organisation.  Currently featuring only:
 .
 with-lock-ex: a simple tool for acquiring a lockfile before running
 another program or script.
 .
 prefork-interp: Wrapper to speed up script startup;
 requires scripting langauge module from chiark-scripts.
 .
 summer: a tool for reporting complete details about a filesystem tree
 in a parseable format, including checksums.
 .
 xbatmon-simple: a very simple X client for displaying battery
 charge status.
 .
 xduplic-copier: a very simple X client for typing into multiple windows
 at once.
 .
 watershed: a utility for saving on superfluous executions of an
 idempotent command.  (This is the same utility as shipped separately
 in Ubuntu's udev, but with slightly different defaults and a
 different install location.)
 .
 rcopy-repeatedly: a utility for repeatedly copying a file from one
 host to another, to keep a copy constantly up to date.
 .
 acctdump: for reading process accounting files.
 .
 summer and watershed require the installation of the Recommended
 crypto libraries; xbatmon-simple needs the Suggested X libraries.
 .
 cgi-fcgi-interp: for use with cgi-fcgi as a #! interpreter

Package: chiark-really
Section: admin
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: really - a tool for gaining privilege (simple, realistic sudo)
 really is a program that allows certain users to become whatever user
 they like on request.  It is a bit like sudo in that respect.
 However, really is simpler than sudo, and doesn't give the system
 administrator any false security promises.  So really is less of a
 general security risk to the system.
 .
 Unlike sudo it does not pretend that the called account can be any
 more secure than the calling account, so there is never a need for a
 password.  If you wanted to restrict which commands and functions the
 called user can perform, use userv, not really or sudo.
 .
 Also unlike sudo, really only works if the calling user is supposed
 to be equivalent to root.  But, really can also be used by
 root-equivalent users to become any user, not just root; in this way
 it can be a replacement for certain uses of su.

=== debian/rules ===
#!/usr/bin/make -f

SHELL=/bin/bash

subdirs_build_arch=	cprogs
subdirs_nobuild=backup sync-accounts scripts fishdescriptor
package=	chiark-utils
packages_indep=	chiark-backup chiark-scripts
packages_arch=	chiark-rwbuffer chiark-really chiark-utils-bin
packages=	$(packages_indep) $(packages_arch)

cwd=	$(shell pwd)
d=	$(cwd)/debian
t=	$d/tmp

makebuildargs := OPTIMISE= DEBUG= \
 CMDLINE_CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
 CMDLINE_CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
 CMDLINE_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

build:
	$(checkdir)
	set -e; for s in $(subdirs_build_arch); do \
		dh_auto_build --sourcedirectory=$$s -- all $(makebuildargs); \
	done
	touch build

build-indep: build
build-arch: build

clean:
	$(checkdir)
	rm -f build
	set -e; for s in $(subdirs_build_arch); do \
		$(MAKE) -C $$s -i distclean || \
		$(MAKE) -C $$s -f Makefile.in distclean; \
	done
	rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars*
	rm -rf debian/sv-* debian/*.debhelper.log

binary-prep:
	$(checkdir)
	rm -rf debian/tmp*
	#
	set -e; for s in $(subdirs_build_arch) $(subdirs_nobuild); do \
		$(MAKE) -C $$s install install-docs install-examples \
			prefix=$t/$$s/usr \
			etcdir=$t/$$s/etc \
			varlib=$t/$$s/var/lib \
			mandir=$t/$$s/usr/share/man; \
	done
	#
	mv $t/cprogs $t/chiark-utils-bin
	#
	cp -a debian/tmp/fishdescriptor/* debian/tmp/scripts/.
	cp -a debian/tmp/sync-accounts/* debian/tmp/scripts/.
	rm -r debian/tmp/sync-accounts
	mv debian/tmp/scripts debian/tmp/chiark-scripts
	mv debian/tmp/backup debian/tmp/chiark-backup
	#
	set -e; for p in $(packages); do \
		install -d $t/$$p/DEBIAN $t/$$p/usr/share/doc/$$p; \
		cp debian/copyright debian/changelog \
			$t/$$p/usr/share/doc/$$p/; \
		ln -s changelog.gz \
			$t/$$p/usr/share/doc/$$p/changelog.Debian.gz; \
		gzip -9vn $t/$$p/usr/share/doc/$$p/changelog; \
		done
	#
	install -d $t/chiark-rwbuffer/usr/bin
	install -d $t/chiark-rwbuffer/usr/share/man/man1
	cd $t/chiark-utils-bin/usr/bin && \
		mv readbuffer writebuffer $t/chiark-rwbuffer/usr/bin/
	cd $t/chiark-utils-bin/usr/share/man/man1 && \
		mv readbuffer.1 writebuffer.1 $t/chiark-rwbuffer/usr/share/man/man1/
	#
	install -d $t/chiark-backup/usr/share/man/man1
	cp backup/man/*.1 $t/chiark-backup/usr/share/man/man1/
	cd $t/chiark-backup/usr/share/man/man1 && \
		for m in *.1; do \
			mv "$$m" backup-"$$m"; \
		done
	cp \
 $t/chiark-backup/usr/share/doc/chiark-backup/examples/chiark/settings.sh \
 $t/chiark-backup/etc/chiark-backup/settings.sh
	#
	install -d $t/chiark-really/usr/sbin
	install -d $t/chiark-really/usr/share/man/man8
	cd $t/chiark-utils-bin/usr/sbin && \
		mv really $t/chiark-really/usr/sbin/
	cd $t/chiark-utils-bin/usr/share/man/man8 && \
		mv really.8 $t/chiark-really/usr/share/man/man8/
	rm	$t/chiark-utils-bin/usr/sbin/trivsoundd \
		$t/chiark-utils-bin/usr/share/man/man8/trivsoundd.8
	rmdir	$t/chiark-utils-bin/usr/sbin
	#
	gzip -9fn $t/*/usr/share/man/man*/*

binary-hook-chiark-backup:
binary-hook-chiark-rwbuffer:
binary-hook-sync-accounts:
binary-hook-chiark-scripts:
binary-hook-chiark-really:
binary-hook-chiark-utils-bin:

binary-one:
	set -e; for f in preinst postinst prerm postrm conffiles; do \
		test -f debian/$p/$$f || continue; \
		cp debian/$p/$$f $t/$p/DEBIAN/$$f; \
		chmod u=rwX,go=rX $t/$p/DEBIAN/$$f; \
	done
	dh_lintian -p$p -Pdebian/tmp/$p
	dh_link -p$p -Pdebian/tmp/$p
	dpkg-gencontrol -p$p -P$t/$p -Tdebian/sv-$p
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	debian/rules binary-hook-$p
	dpkg --build $t/$p ..

binary-indep:	checkroot build binary-prep
	set -e; for p in $(packages_indep); do \
		debian/rules binary-one p=$$p; done

binary-arch:	checkroot build binary-prep
	$(checkdir)
	set -ex; for p in chiark-really chiark-utils-bin chiark-rwbuffer; do \
		dh_strip -p$$p -Pdebian/tmp/$$p; done
	dpkg-shlibdeps -Tdebian/sv-chiark-rwbuffer \
		$t/chiark-rwbuffer/usr/bin/*
	dpkg-shlibdeps -Tdebian/sv-chiark-really \
		$t/chiark-really/usr/sbin/*
	set -e; for f in $t/chiark-utils-bin/usr/bin/*; do \
		case "$$f" in \
		*/xbatmon-simple|*/xduplic-copier) \
					d=Suggests	;; \
		*/watershed|*/summer|*/cgi-fcgi-interp|*/prefork-interp) \
					d=Recommends	;; \
		*)			d=Depends	;; \
		esac; \
		a="$$a -d$$d $$f"; \
	    done; set -x; \
	    dpkg-shlibdeps -Tdebian/sv-chiark-utils-bin $$a
	set -e; for p in $(packages_arch); \
		do debian/rules binary-one p=$$p; done

define checkdir
	test -f cprogs/writebuffer.c
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## chiark-utils 7.0.0build2

=== cprogs/Makefile ===
# Makefile
# simple make settings
#
# This file is part of chiark backup, a system for backing up GNU/Linux and
# other UN*X-compatible machines, as used on chiark.greenend.org.uk.
#
# chiark backup is:
#  Copyright (C) 1997-1998,2000-2001 Ian Jackson <ian@chiark.greenend.org.uk>
#  Copyright (C) 1999 Peter Maydell <pmaydell@chiark.greenend.org.uk>
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 3, or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, consult the Free Software Foundation's
# website at www.fsf.org, or the GNU Project website at www.gnu.org.

us=	chiark-utils-bin

include ../settings.make

RWBUFFER_SIZE_MB=16

PROGRAMS=		readbuffer writebuffer with-lock-ex xbatmon-simple \
			summer watershed rcopy-repeatedly xduplic-copier \
			prefork-interp cgi-fcgi-interp
SUIDSBINPROGRAMS=	really
DAEMONS=		trivsoundd
MAN1PAGES=		readbuffer.1 writebuffer.1 with-lock-ex.1 \
			xduplic-copier.1 summer.1
MAN8PAGES=		trivsoundd.8 really.8
SEDDERYDOCS=		watershed.txt prefork-interp.txt cgi-fcgi-interp.txt \
			xbatmon-simple.txt rcopy-repeatedly.txt
BUILTTXTDOCS=		$(SEDDERYDOCS)
TXTDOCS=		$(BUILTTXTDOCS)

acctdump_cc_out:=$(shell \
	printf "\#include <sys/types.h>\n\#include <sys/acct.h>" \
		| $(CC) -E - 2>&1 >/dev/null \
)
ifeq (,$(acctdump_cc_out))
PROGRAMS+=acctdump
MAN8PAGES+=acctdump.8
else
$(warning Not building acctdump: $(acctdump_cc_out))
endif

TARGETS=	$(PROGRAMS) $(SUIDSBINPROGRAMS) $(DAEMONS) $(BUILTTXTDOCS)

all:		$(TARGETS)

readbuffer:			readbuffer.o			rwbuffer.o
writebuffer:			writebuffer.o	wrbufcore.o	rwbuffer.o 
trivsoundd:			trivsoundd.o	wrbufcore.o 	rwbuffer.o 
really:				really.o myopt.o
acctdump:			acctdump.o	myopt.o

acctdump.o really.o myopt.o rcopy-repeatedly.o: myopt.h
cgi-cfgi-interp.o prefork.o: myopt.h prefork.h timespeccmp.h
readbuffer.o writebuffer.o rwbuffer.o wrbufcore.o trivsoundd.o:	rwbuffer.h

xbatmon-simple: LDLIBS += -lX11 -lm

xduplic-copier: LDLIBS += -lXmu -lX11
#xduplic-copier: LDLIBS += -lXmu -lSM -lICE -lXt -lXext
#xduplic-copier: LDLIBS += -lX11 -lxcb -lXau -lXdmcp

summer:		summer.o
summer:		LDLIBS += -lnettle -lgmp

rcopy-repeatedly: rcopy-repeatedly.o myopt.o
rcopy-repeatedly: LDLIBS += -lm -lrt

watershed:	watershed.o common.o
watershed:	LDLIBS += -lnettle -lgmp

cgi-fcgi-interp:	cgi-fcgi-interp.o prefork.o myopt.o common.o
cgi-fcgi-interp:	LDLIBS += -lnettle

prefork-interp:		prefork-interp.o prefork.o myopt.o common.o
prefork-interp:		LDLIBS += -lnettle -luv

$(SEDDERYDOCS): %.txt: %.c
		sed '/^$$/,$$d' <$^ >$@.new && mv -f $@.new $@

install:		all
		$(INSTALL_DIRECTORY) $(bindir) $(sbindir)
		$(INSTALL_PROGRAM) $(PROGRAMS) $(bindir)
		$(INSTALL_PROGRAM) $(DAEMONS) $(sbindir)
		$(INSTALL) -m 4774 -o root -g $(SYSTEM_GROUP) \
			$(SUIDSBINPROGRAMS) $(sbindir)

install-docs:	$(TXTDOCS)
		$(INSTALL_DIRECTORY) $(man1dir) $(man8dir) $(txtdocdir)
		$(INSTALL) -m 644 $(MAN1PAGES) ${man1dir}/.
		$(INSTALL) -m 644 $(MAN8PAGES) ${man8dir}/.
		$(INSTALL) -m 644 $(TXTDOCS) ${txtdocdir}/.

install-examples:

clean:
		rm -f *~ ./#*# *.o $(PROGRAMS)

distclean realclean:	clean
		rm -f $(TARGETS)

=== sync-accounts/Makefile ===
# Makefile

# This file is part of chiark-utils, a collection of useful programs
# used on chiark.greenend.org.uk.
#
# This file is:
#  Copyright 2001-2002 Ian Jackson <ian@chiark.greenend.org.uk>
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 3, or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, consult the Free Software Foundation's
# website at www.fsf.org, or the GNU Project website at www.gnu.org.

SYSTEM_GROUP=	root

INSTALL=		install -c
INSTALL_SHARE=		$(INSTALL) -m 644 -o root -g $(SYSTEM_GROUP)
INSTALL_SCRIPT=		$(INSTALL) -m 755 -o root -g $(SYSTEM_GROUP)
INSTALL_DIRECTORY=	$(INSTALL) -m 2755 -o root -g $(SYSTEM_GROUP) -d

prefix=/usr/local
bindir=$(prefix)/bin
mandir=${prefix}/man
man5dir=${mandir}/man5
man8dir=${mandir}/man8
txtdocdir=$(prefix)/share/doc/sync-accounts
exampledir=$(txtdocdir)/examples

SCRIPTS=	sync-accounts sync-accounts-createuser grab-account
MANPAGES5=	sync-accounts
MANPAGES8=	sync-accounts sync-accounts-createuser grab-account
EXAMPLES=	linux bsd

all:

install:
		$(INSTALL_DIRECTORY) $(bindir)
		set -e; for f in $(SCRIPTS); do \
			$(INSTALL_SCRIPT) $$f $(bindir)/$$f; done

install-docs:
		$(INSTALL_DIRECTORY) $(man5dir) $(man8dir)
		set -e; for f in $(MANPAGES5); do \
			$(INSTALL_SHARE) $$f.5 $(man5dir)/$$f.5; done
		set -e; for f in $(MANPAGES8); do \
			$(INSTALL_SHARE) $$f.8 $(man8dir)/$$f.8; done

install-examples:
		$(INSTALL_DIRECTORY) $(exampledir)
		set -e; for e in $(EXAMPLES); do \
			$(INSTALL_SHARE) sync-accounts.example-$$e \
				$(exampledir)/sync-accounts.$$e; \
			done

clean:
		rm -f *~ ./#*#

distclean realclean:	clean

=== debian/changelog ===
chiark-utils (7.0.0build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:05 +1100

chiark-utils (7.0.0build1) noble; urgency=high

  * No change rebuild against libuv1t64, libnettle8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:34:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: chiark-utils
 Section: admin
 Priority: optional
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 13),
                libxdmcp-dev, libxau-dev, libice-dev, libsm-dev, libuv1-dev
 Standards-Version: 4.6.1.1

## chiark-utils 7.0.1

=== debian/changelog ===
chiark-utils (7.0.1) unstable; urgency=medium

  * backup/snaprsync: add -AX to the rsync rune
  * Enable LFS and 64-bit time_t support.  Closes: #1067157.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 04 Jul 2024 12:53:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,12 @@
 d=	$(cwd)/debian
 t=	$d/tmp
 
+D_BUILDFLAGS=DEB_BUILD_MAINT_OPTIONS=future=+lfs dpkg-buildflags
+
 makebuildargs := OPTIMISE= DEBUG= \
- CMDLINE_CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
- CMDLINE_CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
- CMDLINE_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
+ CMDLINE_CFLAGS="$(shell $(D_BUILDFLAGS) --get CFLAGS)" \
+ CMDLINE_CPPFLAGS="$(shell $(D_BUILDFLAGS) --get CPPFLAGS) -D_TIME_BITS=64" \
+ CMDLINE_LDFLAGS="$(shell $(D_BUILDFLAGS) --get LDFLAGS)"
 
 build:
 	$(checkdir)

## chiark-utils 7.0.2

=== debian/changelog ===
chiark-utils (7.0.2) unstable; urgency=medium

  * debian/rules: Pass -D_TIME_BITS=64 too.  Closes: #1078190.
  * Change file size type to unsigned long long.  Closes: #1075821.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 15 Aug 2024 22:28:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 makebuildargs := OPTIMISE= DEBUG= \
  CMDLINE_CFLAGS="$(shell $(D_BUILDFLAGS) --get CFLAGS)" \
- CMDLINE_CPPFLAGS="$(shell $(D_BUILDFLAGS) --get CPPFLAGS) -D_TIME_BITS=64" \
+ CMDLINE_CPPFLAGS="$(shell $(D_BUILDFLAGS) --get CPPFLAGS) -D_TIME_BITS=64 -D_FILE_OFFSET_BITS=64" \
  CMDLINE_LDFLAGS="$(shell $(D_BUILDFLAGS) --get LDFLAGS)"
 
 build:

## chiark-utils 7.0.3

=== debian/changelog ===
chiark-utils (7.0.3) unstable; urgency=medium

  * Team upload.
  * git-cache-proxy: Handle extra-parameters in git protocol (Closes: #1040476).
    Thanks to Anthony PERARD for the patch.
  * git-branchmove: Always pass --no-verify to 'git push' (Closes: #1080082).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 26 Sep 2024 17:07:41 +0100

## chiark-utils 8.0.0

=== sync-accounts/Makefile ===
--- 
+++ 
@@ -19,12 +19,13 @@
 # with this program; if not, consult the Free Software Foundation's
 # website at www.fsf.org, or the GNU Project website at www.gnu.org.
 
+SYSTEM_USER=	root
 SYSTEM_GROUP=	root
 
 INSTALL=		install -c
-INSTALL_SHARE=		$(INSTALL) -m 644 -o root -g $(SYSTEM_GROUP)
-INSTALL_SCRIPT=		$(INSTALL) -m 755 -o root -g $(SYSTEM_GROUP)
-INSTALL_DIRECTORY=	$(INSTALL) -m 2755 -o root -g $(SYSTEM_GROUP) -d
+INSTALL_SHARE=		$(INSTALL) -m 644 -o $(SYSTEM_USER) -g $(SYSTEM_GROUP)
+INSTALL_SCRIPT=		$(INSTALL) -m 755 -o $(SYSTEM_USER) -g $(SYSTEM_GROUP)
+INSTALL_DIRECTORY=	$(INSTALL) -m 2755 -o $(SYSTEM_USER) -g $(SYSTEM_GROUP) -d
 
 prefix=/usr/local
 bindir=$(prefix)/bin

=== debian/changelog ===
chiark-utils (8.0.0-0deepin1) unstable; urgency=medium

  * feat: add sw64 support 

 -- hudeng <hudeng@deepin.org>  Tue, 21 Oct 2025 17:32:41 +0800

chiark-utils (8.0.0) unstable; urgency=medium

  * Rewrite the packaging to use `debhelper` and `dh` in as standard a way
    as possible.  As a consequence, support root-less builds.
    No functional changes to the installed packages.
    Closes: #1089303.  [Niels Thykier]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 12 Jan 2025 20:19:58 +0000

=== debian/rules ===
#!/usr/bin/make -f

SHELL=/bin/bash

subdirs_build_arch=	cprogs
subdirs_nobuild=backup sync-accounts scripts fishdescriptor
package=	chiark-utils
packages_indep=	chiark-backup chiark-scripts
packages_arch=	chiark-rwbuffer chiark-really chiark-utils-bin
packages=	$(packages_indep) $(packages_arch)

cwd=	$(shell pwd)
d=	$(cwd)/debian
t=	$d/tmp

D_BUILDFLAGS=DEB_BUILD_MAINT_OPTIONS=future=+lfs dpkg-buildflags

makebuildargs := OPTIMISE= DEBUG= \
 CMDLINE_CFLAGS="$(shell $(D_BUILDFLAGS) --get CFLAGS)" \
 CMDLINE_CPPFLAGS="$(shell $(D_BUILDFLAGS) --get CPPFLAGS) -D_TIME_BITS=64 -D_FILE_OFFSET_BITS=64" \
 CMDLINE_LDFLAGS="$(shell $(D_BUILDFLAGS) --get LDFLAGS)"

%:
	dh $@

override_dh_auto_build:
	set -e; for s in $(subdirs_build_arch); do \
		dh_auto_build --sourcedirectory=$$s -- all $(makebuildargs); \
	done


override_dh_auto_clean:
	rm -f build
	set -e; for s in $(subdirs_build_arch); do \
		$(MAKE) -C $$s -i distclean || \
		$(MAKE) -C $$s -f Makefile.in distclean; \
	done
	rm -rf debian/sv-*

override_dh_auto_install:
	# The ownership information will be reset later to root:root in
	# the `dpkg-deb` call, so the actual ownership here is of no
	# consequence as long as we are allowed to perform the action.
	#
	# Chown'ing from your own user/group to itself is always allowed,
	# so we pass that via id -u/-g.
	set -e; for s in $(subdirs_build_arch) $(subdirs_nobuild); do \
		$(MAKE) -C $$s install install-docs install-examples \
			prefix=$t/$$s/usr \
			etcdir=$t/$$s/etc \
			varlib=$t/$$s/var/lib \
			mandir=$t/$$s/usr/share/man \
			SYSTEM_USER=$$(id -u) \
			SYSTEM_GROUP=$$(id -g); \
	done
	#
	mv $t/cprogs $d/chiark-utils-bin
	#
	cp -a debian/tmp/fishdescriptor/* debian/tmp/scripts/.
	cp -a debian/tmp/sync-accounts/* debian/tmp/scripts/.
	rm -r debian/tmp/sync-accounts
	mv debian/tmp/scripts debian/chiark-scripts
	mv debian/tmp/backup debian/chiark-backup

	# Move all packages created so far up to debian/<pkg>, where the dh_*
	# expects to find them now that we are done renaming things.
	set -e; for p in $(dh_listpackages); do \
		[ ! -d $t/$$p ] || mv $t/$$p debian/$$p ; \
	done

	# Last bit of moving things around manually, where the debhelper tools
	# will not trivially do it (at least, without stuff like `dh-exec`)

	install -d debian/chiark-rwbuffer/usr/bin
	install -d debian/chiark-rwbuffer/usr/share/man/man1
	cd debian/chiark-utils-bin/usr/bin && \
		mv readbuffer writebuffer $d/chiark-rwbuffer/usr/bin/
	cd debian/chiark-utils-bin/usr/share/man/man1 && \
		mv readbuffer.1 writebuffer.1 $d/chiark-rwbuffer/usr/share/man/man1/

	install -d debian/chiark-backup/usr/share/man/man1
	cp backup/man/*.1 debian/chiark-backup/usr/share/man/man1/
	cd debian/chiark-backup/usr/share/man/man1 && \
		for m in *.1; do \
			mv "$$m" backup-"$$m"; \
		done
	cp \
 debian/chiark-backup/usr/share/doc/chiark-backup/examples/chiark/settings.sh \
 debian/chiark-backup/etc/chiark-backup/settings.sh
	#
	install -d debian/chiark-really/usr/sbin
	install -d debian/chiark-really/usr/share/man/man8
	cd $d/chiark-utils-bin/usr/sbin && \
		mv really $d/chiark-really/usr/sbin/
	cd $d/chiark-utils-bin/usr/share/man/man8 && \
		mv really.8 $d/chiark-really/usr/share/man/man8/
	rm	debian/chiark-utils-bin/usr/sbin/trivsoundd \
		debian/chiark-utils-bin/usr/share/man/man8/trivsoundd.8
	rmdir	debian/chiark-utils-bin/usr/sbin

	# We are not installing these. To avoid dh_missing complaining,
	# lets just remove them (Could also be moved to debian/not-installed)
	rm -fr debian/tmp/fishdescriptor/usr/lib/python2.7
	rm -fr debian/tmp/fishdescriptor/usr/lib/python3
	rm -f debian/tmp/fishdescriptor/usr/bin/fishdescriptor


override_dh_shlibdeps:
	dh_shlibdeps -p chiark-rwbuffer
	dh_shlibdeps -p chiark-really

	set -e; for f in $d/chiark-utils-bin/usr/bin/*; do \
		fn="$$f"; if test -L "$$f"; then fn=$$(realpath "$$fn"); fi; \
		case "$$fn" in \
		*/xbatmon-simple|*/xduplic-copier) \
					d=Suggests	;; \
		*/watershed|*/summer|*/cgi-fcgi-interp|*/prefork-interp) \
					d=Recommends	;; \
		*)			d=Depends	;; \
		esac; \
		a="$$a -d$$d $$f"; \
	    done; set -x; \
	    dh_shlibdeps -p chiark-utils-bin -- $$a


execute_after_dh_fixperms:
	chmod u+s,o-x debian/chiark-really/usr/sbin/really

## chiark-utils 8.0.1

=== cprogs/Makefile ===
--- 
+++ 
@@ -93,7 +93,7 @@
 		$(INSTALL_DIRECTORY) $(bindir) $(sbindir)
 		$(INSTALL_PROGRAM) $(PROGRAMS) $(bindir)
 		$(INSTALL_PROGRAM) $(DAEMONS) $(sbindir)
-		$(INSTALL) -m 4774 -o root -g $(SYSTEM_GROUP) \
+		$(INSTALL) -m 4774 -o $(SYSTEM_USER) -g $(SYSTEM_GROUP) \
 			$(SUIDSBINPROGRAMS) $(sbindir)
 
 install-docs:	$(TXTDOCS)

=== fishdescriptor/Makefile ===
# Makefile

# This file is part of chiark-utils, a collection of useful programs
# used on chiark.greenend.org.uk.
#
# This file is:
#  Copyright (C) 2017 Ian Jackson <ian.jackson@eu.citrix.com>
#  Copyright (C) 2001 Ian Jackson <ijackson@chiark.greenend.org.uk>
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 3, or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, consult the Free Software Foundation's
# website at www.fsf.org, or the GNU Project website at www.gnu.org.

include ../settings.make

SCRIPTS=	fishdescriptor
MODULES_23=	__init__ indonor
MODULES_3=	fish

py=py/fishdescriptor
d2=$(python2dir)/fishdescriptor
d3=$(python3dir)/fishdescriptor

all:

install:
		$(INSTALL_DIRECTORY) $(bindir) $(d2) $(d3)
		set -e; for f in $(SCRIPTS); do \
			$(INSTALL_SCRIPT) $$f $(bindir)/$$f; done
		set -e; for f in $(MODULES_3); do \
			$(INSTALL_SHARE) $(py)/$$f.py $(d3)/.; done
		set -e; for f in $(MODULES_23); do \
			$(INSTALL_SHARE) $(py)/$$f.py $(d3)/.; \
			ln $(d3)/$$f.py $(d2)/.; done

install-docs:

install-examples:

clean:
		rm -f *~ ./#*#
		find -name \*.pyc -print0 | xargs -0r rm --

distclean realclean:	clean

=== scripts/Makefile ===
# Makefile

# This file is part of chiark-utils, a collection of useful programs
# used on chiark.greenend.org.uk.
#
# This file is:
#  Copyright (C) 2001 Ian Jackson <ian@chiark.greenend.org.uk>
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 3, or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, consult the Free Software Foundation's
# website at www.fsf.org, or the GNU Project website at www.gnu.org.

include ../settings.make

SCRIPTS=	palm-datebook-reminders random-word expire-iso8601 \
		genspic2gnuplot gnucap2genspic ngspice2genspic \
		cvs-repomove cvs-adjustroot remountresizereiserfs \
		hexterm summarise-mailbox-preserving-privacy \
		git-cache-proxy git-branchmove nntpid

MANPAGES1=	palm-datebook-reminders git-branchmove

CSCRIPTS=	named-conf
CMANPAGES8=	named-conf

PERLMODULES=	Chiark/NNTP Proc/Prefork/Interp

all:

install:
		$(INSTALL_DIRECTORY) $(bindir)
		set -e; for f in $(SCRIPTS); do \
			$(INSTALL_SCRIPT) $$f $(bindir)/$$f; done
		set -e; for f in $(CSCRIPTS); do \
			$(INSTALL_SCRIPT) $$f $(bindir)/chiark-$$f; done
		set -e; for f in $(PERLMODULES); do \
			$(INSTALL_DIRECTORY) ${perl5dir}/$${f%/*}; \
			$(INSTALL_SHARE) $$f.pm $(perl5dir)/$$f.pm; done


install-docs: $(addsuffix .1,$(MANPAGES1))
		$(INSTALL_DIRECTORY) $(man1dir) $(man8dir)
		set -e; for f in $(MANPAGES1); do \
			$(INSTALL_SHARE) $$f.1 $(man1dir)/$$f.1; done
		set -e; for f in $(CMANPAGES8); do \
			$(INSTALL_SHARE) $$f.8 $(man8dir)/chiark-$$f.8; done

git-branchmove.1: git-branchmove
	pod2man git-branchmove >git-branchmove.1

install-examples:

clean:
		rm -f *~ ./#*#
		rm -f git-branchmove.1

distclean realclean:	clean

=== debian/changelog ===
chiark-utils (8.0.1) unstable; urgency=medium

  * Fix xbatmon-simple compatibility with kernel 6.12.35, which reports
    negative POWER_SUPPLY_CHARGE_FULL resulting in alarming entirely-red
    display.  Closes: #1109342.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 15 Jul 2025 17:05:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: chiark-utils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 13),
                libxdmcp-dev, libxau-dev, libice-dev, libsm-dev, libuv1-dev
+Rules-Requires-Root: no
 Standards-Version: 4.6.1.1
 Vcs-Browser: https://www.chiark.greenend.org.uk/ucgi/~ian/git/chiark-utils.git/
 Vcs-Git: https://www.chiark.greenend.org.uk/ucgi/~ian/githttp/chiark-utils.git

## chiark-utils 8.0.1build1

=== debian/changelog ===
chiark-utils (8.0.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:20:34 +0100
